## GimpPixmap GimpPixmap — Widget which creates a GtkPixmap from XPM data. |

## Functions

GtkWidget * | gimp_pixmap_new ()
void | gimp_pixmap_set ()

## Types and Values

| GimpPixmap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkMisc
                        ╰── GtkImage
                            ╰── GimpPixmap

## Implemented Interfaces

GimpPixmap implements AtkImplementorIface and GtkBuildable.

## Description

Widget which creates a GtkPixmap from XPM data.

Use this widget instead of GtkPixmap if you don't want to worry about the parent container's "realized" state.

Note that the drawback of the easy interface is that the actual GdkPixmap and it's mask have to be constructed every time you call `gimp_pixmap_new()` and cannot be cached in memory without doing bad hacks.

## Functions

### gimp_pixmap_new ()

    GtkWidget *
    gimp_pixmap_new (gchar **xpm_data);

`gimp_pixmap_new` is deprecated and should not be used in newly-written code.

Creates a new GimpPixmap widget.

#### Parameters

xpm_data | A pointer to a XPM data structure as found in XPM files. |

#### Returns

A pointer to the new GimpPixmap widget.

### gimp_pixmap_set ()

    void
    gimp_pixmap_set (GimpPixmap *pixmap,
                     gchar **xpm_data);

`gimp_pixmap_set` is deprecated and should not be used in newly-written code.

Sets a new image for an existing GimpPixmap widget.

#### Parameters

pixmap | The pixmap widget you want to set the new xpm_data for. |
xpm_data | A pointer to a XPM data structure as found in XPM files. |

## Types and Values

### GimpPixmap

    typedef struct _GimpPixmap GimpPixmap;

`GimpPixmap` is deprecated and should not be used in newly-written code.

## See Also

gimp_pixmap_button_new(), GtkPixmap